Sign in

Rendering process failed after update 0.35.3 in various themes

Viewing 20 posts - 1 through 20 (of 20 total)
  • Author
    Posts
  • #859
    gpsblues

    Hi,

    In “Preview your change” when the progress bar reaches 80% the error “Rendering process failed. An error (1002) occurred during parsing index.hbs file. rendererInstance is not defined” appears.

    In “Preview your change” when the progress bar reaches 80% the error “false” appears.

    The problem is on Mellisa (v.1.3.2.0), Cortado (v.1.0.0.0), Tattoo (v.1.5.7.5) in Tattoo the progress bar reaches 98%.
    No problem in N-Tech (v.1.1.1.0) and other free themes.

    After reinstall v. 0.35.2 the program crashes on the splash screen. 🙁

    Thankyou.

    #860
    gpsblues

    Hi,
    I have completely removed Publii v.0.35.3 in Windows:

    • uninstall program
    • delete Program/Publii and %Appdata%/Publii folders.

    After reinstalling Publii v.0.35.2 everything works good.

    #862
    karlchenkarlchen

    I have exactly the same problem after updating to .3

    didnt try to delte and reinstall yet, hopefully we find a solution

    #863
    elmo

    I’m having the same problem on a mac. Where did you find the older version Publii v.0.35.2?

    #864
    BobBob
    Support

    Hi,

    Please update your themes to the latest versions, and I’m sure it will work.

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #865
    elmo

    I feel stupid. After updating the themes it’s working. Thank’s.

    #869
    karlchenkarlchen

    but what about those who have a custom theme with no updates ?

    #870
    Tomasz DziudaTomasz Dziuda
    Moderator

    @karlchen – update of Publii will be available for download in a few minutes

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #871
    BobBob
    Support

    @elmo You shouldn’t. The problem is because there is a lack of compatibility with older versions of themes, but we’re already fixing it and uploading the new Publii packages to the server.

     

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #872
    BobBob
    Support

    @karlchen After all, I suggest you update your custom themes. All you have to do is change the following code:

    {{responsiveSrcSet @config.custom.uploadHero}}
    {{responsiveSizes}}
    

    to:

    {{responsiveImageAttributes @config.custom.uploadHero}}
    

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #873
    karlchenkarlchen

    @Bob

    i made a backup before updating to .3

    please tell me where are the above lines located, i mean in which file exactly ?

     

    #874
    BobBob
    Support

    @karlchen It’s hard to say if you use a custom theme but generally this piece of code you can find into index.hbs, tag.hbs, author.hbs, post.hbs ‎⁨(Documents ▸ ⁨Publii⁩ ▸ ⁨sites⁩ ▸ ⁨YOUR_SITE ▸ ⁨input⁩ ▸ ⁨themes⁩ ▸ ⁨YOUR_THEME)

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #875
    karlchenkarlchen

    oh dear, am afraid i will mess everything up, can you do this for me if i send you the backup file ?

    Its axel from bielefeld

    #876
    BobBob
    Support

    Sure, send me an email with your website backup.

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #877
    gpsblues

    Hi,

    Unfortunately I still have problems with Cortado (v.1.2.1.0) and Mellisa (v.1.3.2.0) just updated.

    For testing I’ve also rename “theme-override” folders in “theme-override.bk”.

    #878
    BobBob
    Support

    @gpsblues I’ve tested all themes and I’m sure all of them work as should.  Try applying my suggestion for karchlen in you overridden files.

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #879
    gpsblues

    Sorry, Mellisa v.1.4.1.0.

    I’ve delete mellisa-override folder and overwritten all files in mellisa folder…

    The error continues

    🙁

    #880
    BobBob
    Support

    FYI: A new, hotfix version of Publii 35.3 (build 12100) has been uploaded to our servers. Please download and reinstall the app, now it will work with your old themes too.

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #881
    BobBob
    Support

    @gpsblues It’s not possible. If you still have valid Premium support please create a ticket here.

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #885
    gpsblues

    Hi Bob,

    with new download all problem are solved!

    Very good, thank you!

     

Viewing 20 posts - 1 through 20 (of 20 total)
  • You must be logged in to reply to this topic.